RagTime5Text Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Text Class Reference

the main class to read the text part of RagTime 56 file More...

`#include <RagTime5Text.hxx>`

## Public Member Functions
| RagTime5Text (RagTime5Parser &parser)
| constructor More...
virtual | ~RagTime5Text ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | readTextCluster (RagTime5Zone &zone, int zoneType)
| try to read a spreadsheet cluster More...
bool | readTextStyles (RagTime5ClusterManager::Cluster &cluster)
| try to read a main text styles More...
bool | readTextUnknown0 (int typeId)
| try to read a text style position correspondance ? More...
bool | readTextUnknown1 (int typeId)
| try to read a list of unknown zone 6 bytes data More...
bool | readLinkZones (RagTime5ClusterManager::Cluster &cluster, RagTime5ClusterManager::Link const &link)
| try to read a list of link/list definition More...
bool | readFieldZones (RagTime5ClusterManager::Cluster &cluster, RagTime5ClusterManager::Link const &link, bool isDefinition)
| try to read a list of field definition More...
bool | readFieldDefinition (RagTime5Zone &zone, long endPos, int n)
| try to read a field definition More...
bool | readFieldPosition (RagTime5Zone &zone, long endPos, int n)
| try to read a field position More...

## Protected Attributes
RagTime5Parser & | m_mainParser
| the parser More...
shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< RagTime5TextInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5Text (RagTime5Text const &orig)
RagTime5Text & | operator= (RagTime5Text const &orig)

## Friends
struct | RagTime5TextInternal::FieldParser
class | RagTime5TextInternal::SubDocument
class | RagTime5Parser

## Detailed Description

the main class to read the text part of RagTime 56 file

## Constructor & Destructor Documentation

RagTime5Text::RagTime5Text | ( | RagTime5Parser & | parser | ) |

constructor

RagTime5Text::~RagTime5Text | ( |  | ) |
| virtual

destructor

RagTime5Text::RagTime5Text | ( | RagTime5Text const & | orig | ) |
| private

## Member Function Documentation

void RagTime5Text::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

int RagTime5Text::numPages | ( |  | ) | const

returns the number of pages

RagTime5Text& RagTime5Text::operator= | ( | RagTime5Text const & | orig | ) |
| private

bool RagTime5Text::readFieldDefinition | ( | RagTime5Zone & | zone,
|  | long | endPos,
|  | int | n
| ) |  |
| protected

try to read a field definition

Referenced by readFieldZones().

bool RagTime5Text::readFieldPosition | ( | RagTime5Zone & | zone,
|  | long | endPos,
|  | int | n
| ) |  |
| protected

try to read a field position

Referenced by readFieldZones().

bool RagTime5Text::readFieldZones | ( | RagTime5ClusterManager::Cluster & | cluster,
|  | RagTime5ClusterManager::Link const & | link,
|  | bool | isDefinition
| ) |  |
| protected

try to read a list of field definition

bool RagTime5Text::readLinkZones | ( | RagTime5ClusterManager::Cluster & | cluster,
|  | RagTime5ClusterManager::Link const & | link
| ) |  |
| protected

try to read a list of link/list definition

Referenced by readTextCluster().

bool RagTime5Text::readTextCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a spreadsheet cluster

bool RagTime5Text::readTextStyles | ( | RagTime5ClusterManager::Cluster & | cluster | ) |
| protected

try to read a main text styles

bool RagTime5Text::readTextUnknown0 | ( | int | typeId | ) |
| protected

try to read a text style position correspondance ?

Referenced by readTextCluster().

bool RagTime5Text::readTextUnknown1 | ( | int | typeId | ) |
| protected

try to read a list of unknown zone 6 bytes data

Referenced by readTextCluster().

int RagTime5Text::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class RagTime5Parser
| friend

friend struct RagTime5TextInternal::FieldParser
| friend

friend class RagTime5TextInternal::SubDocument
| friend

## Member Data Documentation

RagTime5Parser& RagTime5Text::m_mainParser
| protected

the parser

Referenced by readFieldZones(), readLinkZones(), readTextCluster(), readTextStyles(), readTextUnknown0(), and readTextUnknown1().

MWAWParserStatePtr RagTime5Text::m_parserState
| protected

the parser state

Referenced by version().

shared_ptr<RagTime5TextInternal::State> RagTime5Text::m_state
| protected

the state

shared_ptr<RagTime5StructManager> RagTime5Text::m_structManager
| protected

the structure manager

Referenced by readFieldDefinition(), readFieldPosition(), and readLinkZones().

The documentation for this class was generated from the following files:

- RagTime5Text.hxx
- RagTime5Text.cxx